
TYPO3.Flow - Bug # 30312

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Persistence
Created: 2011-09-27 Assigned To: Thomas Hempel
Updated: 2011-11-07 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Entity class name is not properly detected in Repository::__construct()
Description

If a package key contains the string "Repository", model class names are not correctly resolved in the Repository constructor because
the line:

$this->entityClassName = str_replace(array('\\Repository\\', 'Repository'), array('\\Model\\', ''), get_class($this));

fails to detect the correct position of the substring and should be replaced by something like:

$this->entityClassName = preg_replace(array('/\\Repository\\/', '/Repository$/'), array('\\Model\\', ''), get_class($this));

See #30306

Associated revisions
Revision 2f5d0cbd - 2011-11-04 12:43 - Thomas Hempel

[BUGFIX] Enhance entity classname detection in repository constructor

Fix bug where all occurrences of the word "Repository" were stripped
out during the automatic retrieval of the entity classname. This changes
the behavior in the way, that only removes the last occurrence.

Change-Id: I9698f905edfc038d9a618ae1462da0e0e540c0c2
Fixes: #30312
Releases: 1.0, 1.1

Revision 68589076 - 2011-11-07 22:10 - Thomas Hempel

[BUGFIX] Enhance entity classname detection in repository constructor

Fix bug where all occurrences of the word "Repository" were stripped
out during the automatic retrieval of the entity classname. This changes
the behavior in the way, that only removes the last occurrence.

Change-Id: I32a33fd5500f202f184c255d588cb073596a2b35
Fixes: #30312
Releases: 1.0, 1.1

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2011-11-03 10:24 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I9698f905edfc038d9a618ae1462da0e0e540c0c2 has been pushed to the review server.
It is available at http://review.typo3.org/6514

#3 - 2011-11-03 11:26 - Mr. Hudson

Patch set 2 of change I9698f905edfc038d9a618ae1462da0e0e540c0c2 has been pushed to the review server.
It is available at http://review.typo3.org/6514

#4 - 2011-11-04 12:44 - Karsten Dambekalns
- Assigned To set to Thomas Hempel
- Target version set to 1.0.1
- Has patch set to No

#5 - 2011-11-04 12:44 - Mr. Hudson

Patch set 3 of change I9698f905edfc038d9a618ae1462da0e0e540c0c2 has been pushed to the review server.
It is available at http://review.typo3.org/6514

#6 - 2011-11-07 15:07 - Thomas Hempel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2f5d0cbd5a9f225ddd813eee30e5b091390d3170.
